<?php
//ini_Set('display_errors',1);
session_start();
require_once("../../config/Cado.php");
require_once("../producto/cProducto.php");
$oProducto = new cProducto();
require_once("../producto/cPresentacion.php");
$oPresentacion = new cPresentacion();
require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();
require_once("../producto/cProductofamilia.php");
$oProductofamilia = new cProductofamilia();
require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();
require_once("../producto/cProductotag.php");
$oProductotag = new cProductotag();
require_once ("../historial/cHistorial.php");
$oHistorial = new cHistorial();
require_once("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../formatos/formato.php");
function ultimoID($oClase){
	$dts = $oClase->ultimoInsert();
	$dt = mysqli_fetch_array($dts);
	mysqli_free_result($dts);
	return $dt['id'];
}
if($_POST['action']=="eliminar_imagen")
{
	if($_POST['id_img']!="")
	{
	$oProducto->modificar_campoimagen($_POST['id_img'],'xac','0');
	unlink($_POST['url_img']);
	
	$data['msj'] = 'Eliminado correctamente';
	
	}else{
		$data['msj'] = 'Error';
	}
	
	echo json_encode($data); 
}


if($_POST['action']=="verificar_codbar")
{
	if(empty($_POST['codbar']))
	{
		$data['pro_est'] = "1";
	$data['pro_msj'] = "Ingrese código de barras";
	}else{
		
	$presentacion = mysqli_fetch_array($oProducto->verificar_codbar($_POST['promar_id'],$_POST['codbar']));
	
	if($presentacion['tb_productomarca_codbar']>0){
		$data['pro_est'] = "1";
		$data['pro_msj'] = "Hay otro producto que ya tiene este código de barras: ".$_POST['codbar'];
	}else{
		$data['pro_est'] = "2";
		$data['pro_msj'] = 'Código de Barras aceptada';
	}
	
	}
	echo json_encode($data);
}


if($_POST['action']=="insertar_productomarca"){
$dtspromar = $oProductomarca->mostrar_uno($_POST['cat_id'],$_POST['mar_id']);
$rows = mysqli_num_rows($dtspromar);
if($rows>0){
	
$data['msj'] = 'La marca seleccionada ya esta asiganada al producto';
	
}else{
if($_POST['pro_precos']==''){
	$_POST['pro_precos'] = intval($_POST['pro_precos']);
}else{
	$_POST['pro_precos'] = moneda_mysql($_POST['pro_precos']);
}
if($_POST['pro_preven']==''){
	$_POST['pro_preven'] = intval($_POST['pro_preven']);
}else{
	$_POST['pro_preven'] = moneda_mysql($_POST['pro_preven']);
}
$oProductomarca->insertar(
				$_POST['cat_id'],
				$_POST['mar_id'],
				$_POST['codbar'],
				$_POST['pro_precos'],
				$_POST['pro_preven'],				
				fecha_mysql($_POST['pro_fecven'])				
		);
$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'MARCA AGREGADA [ MARCA= '.$mar_nom.';PRECOS= '.moneda_mysql($_POST['pro_precos']).';PREVEN= '.moneda_mysql($_POST['pro_preven']).
';PESO= '.$_POST['pro_pes'].'; CODBAR= '.$codbar.'] PARA ['.$pro_nom.' | '.$uni_nom.' | '.$cat_nom.']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
 	$ip = mostrar_ip();
	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
$data['msj'] = 'Agregado correctamente';
}
echo json_encode($data);
}


if($_POST['action']=="editar_productomarca"){
$oProductomarca->editar(
				$_POST['promar_id'],
				$_POST['codbar'],
				$_POST['pro_precos'],
				$_POST['pro_preven'],				
				fecha_mysql($_POST['pro_fecven'])				
		);
$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'MARCA EDITADA [MARCA= '.$mar_nom.';PRECOS= '.moneda_mysql($_POST['pro_precos']).';PREVEN= '.moneda_mysql($_POST['pro_preven']).
';PESO= '.$_POST['pro_pes'].';CODBAR= '.$_POST['codbar'].'] PARA ['.$pro_nom.' | '.$uni_nom.' | '.$cat_nom.']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
 $ip = mostrar_ip();	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
$data['msj'] = 'Modificado correctamente correctamente';
echo json_encode($data);
}


if($_POST['action_pro']=="insertar"){
	
	if(empty($_POST['txt_pro_nom'])){
		$data['pro_msj'] = 'Ingrese un nombre';
		$data['pro_nom_focus'] = 1;
	}else
	{
		
		/* if(mysqli_num_rows($oProducto->buscar_por_nombre($_POST['txt_pro_nom']))>0){
			$data['pro_msj'] = 'El nombre del producto ya existe';
			$data['pro_nom_focus'] = 1;
		}else{} */
			
		
		$oProducto->insertar(
		limpia_espacios($_POST['txt_pro_nom']),
		limpia_espacios($_POST['txt_pro_des']),
		'1',
		$_POST['cmb_cat_id'],
		$_POST['txt_pro_obs'],
		$_POST['txt_pro_cod'],
		$_POST['cmb_emp_id'],
		$_POST['cmb_pre_id']
		);
		
		$pro_id = ultimoID($oProducto);
			
		$oCatalogo->insertar(	
		'1', //$_POST['txt_pro_fac_alter'],
		'1',//(isset($_POST['chk_pro_vercom'])?'1':'0'),
		'1',//(isset($_POST['chk_pro_verven'])?'1':'0'),
		$_POST['hdd_ventades'],
		//$_POST['hdd_ventahas'],
		$_POST['cmb_uni_id'],
		'1',
		$pro_id
		);
		
		$cat_id = ultimoID($oCatalogo);
		
		if($_POST['txt_pro_mar_codbar']==""){
			$codbar = $pro_id.$_POST['cmb_cat_id'].$_POST['hdd_pro_marid'];
		}else{
			$codbar = $_POST['txt_pro_mar_codbar'];
		}
		
	
		$oProductomarca->insertar(
				$cat_id,
				$_POST['hdd_pro_marid'],
				$codbar,
				moneda_mysql($_POST['txt_pro_mar_precos']),
				moneda_mysql($_POST['txt_pro_mar_preven']),
				moneda_mysql($_POST['txt_pro_mar_prevenf']),
				fecha_mysql($_POST['txt_pro_mar_fec']),
				''
				
		);
		
		
	
		
		
		$num_rowsfam=count($_SESSION['pro_famid']);
		if($num_rowsfam==0)$num_rowsfam="";	
			
		if($num_rowsfam>0){
		foreach($_SESSION['pro_famid'] as $indice=>$valor)
		{
		
		$oProductofamilia->insertar(
				$cat_id,
				$_SESSION['pro_famid'][$indice]
		);
		
		}
		}
	
	
		$num_rowsmodelo=count($_SESSION['pro_tag_modelo']);
		if($num_rowsmodelo==0)$num_rowsmodelo="";	
			
		if($num_rowsmodelo>0){
		foreach($_SESSION['pro_tag_modelo'] as $indice=>$valor)
		{
		
		$oProductotag->insertarmodelo(
				$cat_id,
				$_SESSION['pro_tag_modelo'][$indice]
		);
		$modelos .= $_SESSION['pro_tag_modelo'][$indice].'-';
		}
		}
		$num_rowsmotor=count($_SESSION['pro_tag_motor']);
		if($num_rowsmotor==0)$num_rowsmotor="";	
			
		if($num_rowsmotor>0){
		foreach($_SESSION['pro_tag_motor'] as $indice=>$valor)
		{
		
		$oProductotag->insertarmotor(
				$cat_id,
				$_SESSION['pro_tag_motor'][$indice]
		);
		$motores .= $_SESSION['pro_tag_motor'][$indice].'-';
		}
		}
		
		
		
		$num_rowscaja=count($_SESSION['pro_tag_caja']);
		if($num_rowscaja==0)$num_rowscaja="";	
			
		if($num_rowscaja>0){
		foreach($_SESSION['pro_tag_caja'] as $indice=>$valor)
		{
		
		$oProductotag->insertarcaja(
				$cat_id,
				$_SESSION['pro_tag_caja'][$indice]
		);
		
		$cajas .= $_SESSION['pro_tag_caja'][$indice].'-';
		
		}
		}
		
		$des = limpia_espacios($_POST['txt_pro_nom']).' '.$modelos.$motores.$cajas;
		
	    $oProducto->modificardescripcion($pro_id,$des);
		
		$data['pro_msj'] = 'Producto registrado correctamente.';
		
		
		
$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'NUEVO PRODUCTO REGISTRADO ['.$_POST['txt_pro_nom'].']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
 $ip = mostrar_ip();	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
		
		
		if($_POST['vista']=="compras"){
			$data['catid'] = $cat_id;
		}
		
	}
	echo json_encode($data);	
}
if($_POST['action']=="quitartag"){
	
	if($_POST['tagtip']==1){
		
		$oProductotag->eliminar_modelo($_POST['protagid']);
		
	}else if($_POST['tagtip']==2){
		
		$oProductotag->eliminar_motor($_POST['protagid']);
		
	}else if($_POST['tagtip']==3){
		
		$oProductotag->eliminar_caja($_POST['protagid']);
		
	}
	
	$data['msj'] = 'Eliminado correctamente';
	echo json_encode($data);	
	}
if($_POST['action']=="quitar"){
	
	$oProductomarca->modificar_campo($_POST['promarid'], 'xac', '0');	
	$data['msj'] = 'Eliminado correctamente';
	
	$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'MARCA ELIMINADA ['.$mar_nom.'] PARA ['.$pro_nom.']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
 $ip = mostrar_ip();	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
	
	echo json_encode($data);	
	}
if($_POST['action']=="agregarfamilia"){
if($_POST['pro_famid']!="" and $_POST['cat_id']!="")
	{
		$oProductofamilia->insertar(
				$_POST['cat_id'],
				$_POST['pro_famid']
		);
	$data['msj']="Agregado correctamente";
	}else{
	$data['msj']="Ingrese familia.";
	}
	
	echo json_encode($data);	
}
if($_POST['action']=="quitarfamilia"){
	
	echo $_POST['pro_famid']; 
	
	$oProductofamilia->modificar_campo($_POST['pro_famid'], 'xac', '0');	
	$data['msj'] = 'Eliminado correctamente';
	echo json_encode($data);	
}
if($_POST['action']=="agregarmarca"){
if($_POST['mar_id']!="" and $_POST['mar_id']!="")
	{
		$oProductomarca->insertar(
				$_POST['cat_id'],
				$_POST['mar_id']
		);
$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'MARCA AGREGADA ['.$mar_nom.'] PARA ['.$pro_nom.']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
$ip = mostrar_ip(); 	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
	$data['msj']="Agregado correctamente";
	}else{
	$data['msj']="Ingrese marca.";
	}
	
	echo json_encode($data);	
}
if($_POST['action']=="eliminarmarca"){
if($_POST['promar_cod_id']!="")
	{
		
	$oProductomarca->eliminar(
				$_POST['promar_cod_id']
			);
	$data['msj']="Eliminado correctamente";
	}else{
	$data['msj']="Error.";
	}
	
	echo json_encode($data);	
}
if($_POST['action']=="agregarcodigo"){
if($_POST['promar_id']!="" and $_POST['cod']!="")
	{
		
	/* 	$dts1=$oProductomarcacodigo->mostrar_filtro($_POST['promar_id']);
		$num_rows1= mysqli_num_rows($dts1);
 */
 // echo $_POST['promar_id'].' - '.$_POST['cod'];
 
			$dts=$oProductomarcacodigo->verExistencia($_POST['promar_id'],$_POST['cod']);
			$num_rows= mysqli_num_rows($dts);
			if($num_rows>0){
			$data['msj']="Ya se ha registrado este codigo anteriormente";			
			}else{
			$oProductomarcacodigo->insertar(
				$_POST['promar_id'],
				'2',
				$_POST['cod']
			);
			
			
			
			
			
$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'NUEVO CODIGO AGREGADO ['.$_POST['cod'].'] PARA ['.$pro_nom.' | '.$mar_nom.']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
 	$ip = mostrar_ip();
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
			
			$data['msj']="Agregado correctamente";
	
			}
			
	
	}else{
	$data['msj']="Seleccione marca.";
	}
	
	echo json_encode($data);	
}
if($_POST['action']=="modificarcodigo"){
if($_POST['promar_cod_id']!="" and $_POST['cod']!="")
	{
		
	$oProductomarcacodigo->modificar(
				$_POST['promar_cod_id'],
				$_POST['cod']
			);
	$data['msj']="Modificado correctamente";
	}else{
	$data['msj']="Error.";
	}
	
	echo json_encode($data);	
}
if($_POST['action']=="eliminar_codmarca"){
if($_POST['promar_cod_id']!="")
	{
		
	$oProductomarcacodigo->eliminar(
				$_POST['promar_cod_id']
			);
	$data['msj']="Eliminado correctamente";
	}else{
	$data['msj']="Error.";
	}
	
	echo json_encode($data);	
}
if($_POST['action']=="actualizar_codmarca"){
if($_POST['promar_cod_id']!="")
	{
	
	$dts = $oProductomarcacodigo->mostrarUno($_POST['cat_id'],'1');
	$rows = mysqli_num_rows($dts);
	if($rows>0){
		
	$dt = mysqli_fetch_array($dts);	
	$marprocod_id = $dt['tb_productomarcacodigo_id'];
	
	$oProductomarcacodigo->actualizar_tip($marprocod_id,'2');
	
	$oProductomarcacodigo->actualizar_tip($_POST['promar_cod_id'],'1');
		
	}else{
		$oProductomarcacodigo->actualizar_tip($_POST['promar_cod_id'],'1');
	}
			
	$data['msj']="Eliminado correctamente";
	}else{
	$data['msj']="Error.";
	}
	
	echo json_encode($data);	
}
if($_POST['action']=="agregartags"){
if($_POST['tag']!="" and $_POST['tagtip']!="")
	{
		$cat_id =$_POST['cat_id'];
		
		if($_POST['tagtip']==1){
			
		$oProductotag->insertarmodelo(
				$cat_id,
				$_POST['tag']
		);
					
		}else if ($_POST['tagtip']==2){
			
			$oProductotag->insertarmotor(
				$cat_id,
				$_POST['tag']
		);
			
		}else if($_POST['tagtip']==3){
			$oProductotag->insertarcaja(
				$cat_id,
				$_POST['tag']
		);
		}
		
	$data['msj']="Agregado correctamente";
	}else{
	$data['msj']="Ingrese tag.";
	}
	
	echo json_encode($data);	
}
if($_POST['action_pro']=="editar"){
	
	if(empty($_POST['txt_pro_nom'])){
		$data['pro_msj'] = 'Ingrese un nombre';
		$data['pro_nom_focus'] = 1;
	}else
	{
		
		$dtsmo=$oProductotag->mostrar_modelos($_POST['hdd_cat_id']);
		$num_rows= mysqli_num_rows($dtsmo);
	
			while($dt = mysqli_fetch_array($dtsmo))
			{
				$modelos .= $dt['tb_productomodelo_nom'].'-';
			}
	
		$dtsm=$oProductotag->mostrar_motor($_POST['hdd_cat_id']);
		$num_rows= mysqli_num_rows($dtsm);
			
			while($dtm = mysqli_fetch_array($dtsm))
			{
			$motor .= $dtm['tb_productomotor_nom'].'-'; 
			}
			
		$dtsc=$oProductotag->mostrar_caja($_POST['hdd_cat_id']);
		$num_rows= mysqli_num_rows($dtsc);	
				
			while($dtc = mysqli_fetch_array($dtsc))
			{
			$caja .= $dtc['tb_productocaja_nom'].'-'; 
			}	
			
		//$des = limpia_espacios($_POST['txt_pro_nom']).' '.$modelos.$motor.$caja;
		
		$oProducto->modificar(
		$_POST['hdd_pro_id'],
		limpia_espacios($_POST['txt_pro_nom']),
		$_POST['txt_pro_des'],
		$_POST['cmb_cat_id'],
		$_POST['txt_pro_obs'],
		$_POST['txt_pro_cod'],
		$_POST['cmb_emp_id'],
		$_POST['cmb_pre_id']
		);
								
		$oCatalogo->modificar(
		$_POST['hdd_cat_id'],
		'1',
		$_POST['cmb_uni_id'],		
		'1',
		'1'	,
		$_POST['hdd_ventades']
		);
		
		
		$oProductomarca->editar_catalogo(
				$_POST['hdd_cat_id'],
				$_POST['txt_pro_mar_codbar'],
				moneda_mysql($_POST['txt_pro_mar_precos']),
				moneda_mysql($_POST['txt_pro_mar_preven']),				
				moneda_mysql($_POST['txt_pro_mar_prevenf']),				
				fecha_mysql($_POST['txt_pro_mar_fec'])				
		);
		
		
$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'PRODUCTO MODIFICADO ['.$_POST['txt_pro_nom'].']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
 	$ip = mostrar_ip();
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
					
	$data['pro_msj'] = 'Producto modificado correctamente.';
	}
echo json_encode($data);	
}
if($_POST['action']=="eliminar"){
	if(empty($_POST['pro_id']))
		$data['msj'] =  'Intente nuevamente';
	$dts = $oCatalogo->presentacion_catalogo_producto_todo($_POST['pro_id']);
	while ($dt = mysqli_fetch_array($dts)) {
		$oCatalogo->eliminar($dt['tb_catalogo_id']);
	}
	mysqli_free_result($dts);
	
	$oProducto->modificar_campo($_POST['pro_id'], 'xac', '0');
$user_agen = $_SERVER['HTTP_USER_AGENT'];;
$mod = 21;
$mod_ide = 0;
$det = 'PRODUCTO ELIMINADO ['.$pro_nom.' | '.$uni_nom.' | '.$cat_nom.']';
$fec = date('Y-m-d');
$doc_id = '';
$numdoc = '';
$ip = mostrar_ip();
 	
		$oHistorial->insertar(
		fecha_mysql($fec),
		$det,
		$ip,
		$_SESSION['usuario_id'],
		$mod,
		$mod_ide,
		intval($doc_id),
		$numdoc
		);
	$data['msj'] =  'Se eliminó producto correctamente.';
	
	echo json_encode($data);
	
}
?>